The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> gethostid - get an identifier for the current host

#### SYNOPSIS

> ``[XSI] #include <unistd.h>
> long gethostid(void);``
> `
> `

#### DESCRIPTION

> The gethostid() function shall retrieve a 32-bit identifier for the current host.

#### RETURN VALUE

> Upon successful completion, gethostid() shall return an identifier for the current host.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> This volume of POSIX.1-2008 does not define the domain in which the return value is unique.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> initstate

> XBD <unistd.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]